org.apache.poi.sl.usermodel

## Interface PictureShape<S extends Shape<S,P>,P extends TextParagraph<S,P,? extends TextRun>>

- All Superinterfaces:
    IAdjustableShape, PlaceableShape<S,P>, Shape<S,P>, SimpleShape<S,P>
  All Known Implementing Classes:
    ActiveXShape, HSLFObjectShape, HSLFPictureShape, MovieShape, XSLFPictureShape

      public interface PictureShape<S extends Shape<S,P>,P extends TextParagraph<S,P,? extends TextRun>>
      extends SimpleShape<S,P>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default PictureData` | `getAlternativePictureData()` Returns an alternative picture data, e.g.
    `java.awt.Insets` | `getClipping()` Returns the clipping values as percent ratio relatively to the image size.
    `PictureData` | `getPictureData()` Returns the picture data for this picture.

    - ### Methods inherited from interface org.apache.poi.sl.usermodel.SimpleShape

      `createHyperlink, getFillColor, getFillStyle, getGeometry, getHyperlink, getLineDecoration, getPlaceholder, getPlaceholderDetails, getShadow, getShapeType, getStrokeStyle, isPlaceholder, setFillColor, setPlaceholder, setShapeType, setStrokeStyle`

    - ### Methods inherited from interface org.apache.poi.sl.usermodel.Shape

      `draw, getAnchor, getParent, getShapeId, getShapeName, getSheet`

    - ### Methods inherited from interface org.apache.poi.sl.draw.geom.IAdjustableShape

      `getAdjustValue`

    - ### Methods inherited from interface org.apache.poi.sl.usermodel.PlaceableShape

      `getAnchor, getFlipHorizontal, getFlipVertical, getParent, getRotation, getSheet, setAnchor, setFlipHorizontal, setFlipVertical, setRotation`

- - ### Method Detail

    - #### getPictureData

          PictureData getPictureData()

      Returns the picture data for this picture.
      Returns:
        the picture data for this picture.

    - #### getAlternativePictureData

          default PictureData getAlternativePictureData()

      Returns an alternative picture data, e.g. an embedded SVG image
      Returns:
        an alternative picture data
      Since:
        POI 4.1.0

    - #### getClipping

          java.awt.Insets getClipping()

      Returns the clipping values as percent ratio relatively to the image size. The clipping are returned as insets converted/scaled to 100000 (=100%).
      Returns:
        the clipping rectangle, which is given in percent in relation to the image width/height

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.